MARTe2-core - User story #186

Named objects
31.07.2015 15:44 - André Neto

Status: Closed Start date: 31.07.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.3 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Refactor the original MARTe named objects (aka GCNamedObject).
This would satisfy requirement:

¢ MARTe-EX-F-2.1.4: The framework shall allow to associate a name to any of its objects.

Source code files modified

¢ Source/Core/L10bjects/Object.cpp
e Source/Core/L10bjects/Object.h

Architecture & design review
Date of the review: 31/07/2015

Person who did the review: Andre' Neto

Version of architecture & design document: As #184.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 17/08/2015

Person who did the review: Giuseppe Ferro
Result of review: SUCCESS

List of non-conformities: N/A.

Notes:

- The global FastPollingMutexSem in Object.cpp could be a class attribute.
- In the function DecrementReferences it's better initailize ret to referencesNumber.

- Lint Warning in Object: Warning 1502: defined object 'ObjectHeap_' of type 'Heap' has no nonstatic data members

Unit test review

Date of the review: 20/08/2015
Person who did the review: Andre' Neto

Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

Notes:

The following is left for a later sprint when introspection and configuration will be available:
void Object::GetIntrospectionCopy

Associated revisions

Revision 46b4c71b - 11.08.2015 16:08 - André Neto

Merge branch '#184_Smart_Pointer_Base_Infrastructure' into #186_Named_Objects

Revision 126540ca - 11.08.2015 16:48 - André Neto
Linting of #186 finished. Ready for review.

Revision 85b5bc28 - 13.08.2015 12:36 - Giuseppe Ferro

List of changes:
-Named Object tests done.
#186

Revision 52bea396 - 17.08.2015 13:05 - Giuseppe Ferro

List of Changes:

-Minor changes in documentation.

-Added a test.

-Revision of code implementation done: please see the note on redmine.

#186

Revision 87d5d7c3 - 21.08.2015 11:16 - André Neto
Merge branch '#186_Named_Obijects' into develop

Merged #184 and #186 into develop.

Conflicts:

Source/Core/L10bjects/Object.h
Test/Core/L10bjects/ClassRegistryDatabaseTest.cpp
Test/Core/L10bjects/ObjectTest.cpp
Test/Core/L10bjects/ObjectTest.h
Test/GTest/ObjectGTest.cpp

History

#1 - 31.07.2015 15:46 - André Neto

- Target version set to 0.3

#2 - 11.08.2015 10:52 - André Neto

- Status changed from New to Code: Impl

#3 - 11.08.2015 10:52 - André Neto

- Assignee set to André Neto

#4 - 11.08.2015 16:48 - André Neto
- Status changed from Code: Impl to Code: Rev

#5 - 11.08.2015 16:50 - André Neto
- Description updated

- Assignee deleted (André Neto)

#6 - 17.08.2015 11:11 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

11.04.2025

2/3




#7 - 17.08.2015 12:55 - Giuseppe Ferro

- Description updated

#8 - 17.08.2015 13:06 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#9 - 17.08.2015 13:07 - Giuseppe Ferro
Code Review done: 52bea39

#10 - 17.08.2015 13:39 - Giuseppe Ferro
- Description updated

#11 - 17.08.2015 14:53 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#12 - 17.08.2015 14:53 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#13 - 17.08.2015 14:58 - Giuseppe Ferro
Added unit tests for name features to ObjectTest: 85b5bc2.

#14 - 17.08.2015 15:14 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#15 - 19.08.2015 14:45 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#16 - 20.08.2015 21:47 - André Neto
- Description updated

#17 - 21.08.2015 11:29 - André Neto
- Status changed from Unit: Rev to Closed

Merged with develop in commit 87d5d7c3
